This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 110971 - [PATCH] Undefined subroutine &CGI::unescape
[PATCH] Undefined subroutine &CGI::unescape
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks: 107565
  Show dependency treegraph
 
Reported: 2003-11-25 19:25 EST by Bernd Schmidt
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 20:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch to fix this problem (402 bytes, patch)
2003-11-25 19:27 EST, Bernd Schmidt
no flags Details | Diff

  None (edit)
Description Bernd Schmidt 2003-11-25 19:25:32 EST
User reports perl-CGI modules as shipped by RHN has a buggy Cookie
module, would like a bugfix released.

error message:
Undefined subroutine &CGI::unescape called at
/usr/lib/perl5/5.6.1/CGI/Cookie.pm line 75, <DATA> line 225.

only happens when cookie is empty.
Comment 1 Bernd Schmidt 2003-11-25 19:27:58 EST
Created attachment 96202 [details]
A patch to fix this problem
Comment 3 John Flanagan 2004-04-21 20:36:57 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-162.html

Note You need to log in before you can comment on or make changes to this bug.